Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 452345 - Horizontal jitter with Radeon 9550, DVI-D to monitor.
Summary: Horizontal jitter with Radeon 9550, DVI-D to monitor.
Keywords:
Status: CLOSED WORKSFORME
Alias: None
Product: Fedora
Classification: Fedora
Component: xorg-x11-drv-ati
Version: 10
Hardware: All
OS: Linux
low
low
Target Milestone: ---
Assignee: X/OpenGL Maintenance List
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2008-06-21 05:49 UTC by Ralph Loader
Modified: 2018-04-11 09:34 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2008-12-03 04:49:02 UTC


Attachments (Terms of Use)
xorg.conf (deleted)
2008-06-24 05:57 UTC, Ralph Loader
no flags Details
Xorg log (deleted)
2008-06-24 06:01 UTC, Ralph Loader
no flags Details

Description Ralph Loader 2008-06-21 05:49:20 UTC
Description of problem:

Occasionally, the X-windows image is displayed on my monitor jittering rapidly
from side-to-side, and the monitor often losing sync completely.  (The jitter is
up to about an inch to the right, and more at the bottom of the screen than at
the top of the screen).

I have seen this happen:

+ at start-up.
+ after switching from text-console back to X.
+ after X turns the video back on from a power-save mode.

Restarting X fixes the problem, but power-cycling the monitor does not, which
leads me to believe that it is an X problem not a monitor problem.

Version-Release number of selected component (if applicable):

xorg-x11-drv-ati-6.8.0-14.fc9.i386
xorg-x11-server-Xorg-1.4.99.902-2.20080612.fc10.i386
kernel-2.6.26-0.72.rc6.git2.fc10.i686

02:00.0 VGA compatible controller: ATI Technologies Inc RV350 AS [Radeon 9550]
02:00.1 Display controller: ATI Technologies Inc RV350 AS [Radeon 9550] (Secondary)

Dell 2408 monitor with DVI-D cable.

Set to 1920 x 1200 @ 60Hz

How reproducible:

Happens once or twice a day.

Comment 1 Matěj Cepl 2008-06-23 16:12:42 UTC
Thanks for the bug report.  We have reviewed the information you have provided
above, and there is some additional information we require that will be helpful
in our diagnosis of this issue.

Please attach your X server config file (/etc/X11/xorg.conf) and X server log
file (/var/log/Xorg.*.log) to the bug report as individual uncompressed file
attachments using the bugzilla file attachment link below.

Could you please also try to run without any /etc/X11/xorg.conf whatsoever and
let X11 autodetect your display and video card? Attach to this bug
/var/log/Xorg.0.log from this attempt as well, please.

We will review this issue again once you've had a chance to attach this information.

Thanks in advance.

Comment 2 Ralph Loader 2008-06-24 05:57:59 UTC
Created attachment 310106 [details]
xorg.conf

Comment 3 Ralph Loader 2008-06-24 06:01:31 UTC
Created attachment 310107 [details]
Xorg log

This is an Xorg log file from this machine, but not from a run on which this
bug happened.

I am now running with no Xorg.conf.  Assuming the bug re-occurs, I shall also
attach the log file from that session.

Comment 4 Bug Zapper 2008-11-26 02:27:03 UTC
This bug appears to have been reported against 'rawhide' during the Fedora 10 development cycle.
Changing version to '10'.

More information and reason for this action is here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping

Comment 5 Jóhann B. Guðmundsson 2008-12-01 14:54:18 UTC
There have been bunch of bug fixes

Could you retest with the latest kernel 
( -132 at the time of this writing )

You can get the latest kernel build here
http://koji.fedoraproject.org/koji/buildinfo?buildID=72270 

And with the latest xorg-x11-drv-ati. 
( -60 at the time of this writing )

You can get the latest xorg-x11-drv-ati build here
http://koji.fedoraproject.org/koji/packageinfo?packageID=95

And report back if it either improves or fixes this issue..

Thanks.

Comment 6 Ralph Loader 2008-12-03 04:49:02 UTC
I don't have the same video card any more.

Still using a Radeon though, and haven't seen the problem for ages.


Note You need to log in before you can comment on or make changes to this bug.